### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events.broker

# Interface ListenerRegisterInterface

All Superinterfaces:
  `Remote`

All Known Subinterfaces:
  `EventBrokerServiceInterface`

All Known Implementing Classes:
  `EventBrokerService`

@SASScope("ALL") @BinaryCompatibilityOnly public interface ListenerRegisterInterface extends Remote
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
Interface to the `EventBroker Service` for registering interest in certain events.

## Usage

This interface is used by dynamic listener applications that wish to register their interest in a particular event.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EVENT_TYPE_BROADCAST`
  Deprecated.
  A Broadcast type of event is forwarded to all possible handlers.
  `static final int`
  `EVENT_TYPE_REQUEST_RESPONSE`
  Deprecated.
  A Request/Response type of event is forwarded to a single handler and a response is always generated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addEventListener(String eventName, int eventType, ListenerInterface listener)`
  Deprecated.
  Register a dynamic listener for a particular event.
  `boolean`
  `removeEventListener(String eventName, int eventType, ListenerInterface listener)`
  Deprecated.
  Unregister a dynamic listener for a particular event.

- ## Field Details

  - ### EVENT_TYPE_BROADCAST

    static final int EVENT_TYPE_BROADCAST
    Deprecated.
    A Broadcast type of event is forwarded to all possible handlers. A response is never generated.
    See Also:
      - Constant Field Values

  - ### EVENT_TYPE_REQUEST_RESPONSE

    static final int EVENT_TYPE_REQUEST_RESPONSE
    Deprecated.
    A Request/Response type of event is forwarded to a single handler and a response is always generated.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### addEventListener

    void addEventListener(String eventName, int eventType, ListenerInterface listener) throws RemoteException, InvalidEventTypeException
    Deprecated.
    Register a dynamic listener for a particular event.

    Valid event types are as follows:

    - `Broadcast`
    - `Request/Response`
    Parameters:
      `eventName` - name of event.
      `eventType` - type of event.
      `listener` - dynamic listener for given event.
    Throws:
      `RemoteException` - if a network anomaly is encountered.
      `InvalidEventTypeException` - if the event type is invalid.

  - ### removeEventListener

    boolean removeEventListener(String eventName, int eventType, ListenerInterface listener) throws RemoteException
    Deprecated.
    Unregister a dynamic listener for a particular event.

    Valid event types are as follows:

    - `Broadcast`
    - `Request/Response`
    Parameters:
      `eventName` - name of event.
      `eventType` - type of event.
      `listener` - dynamic listener to remove.
    Returns:
      true if listener was removed; otherwise false.
    Throws:
      `RemoteException` - if a network anomaly is encountered.